### Method

# Gsk Transformscale_3d

#### Declaration [src]

    GskTransform*
    gsk_transform_scale_3d (
      GskTransform* next,
      float factor_x,
      float factor_y,
      float factor_z
    )

#### Description [src]

Scales `next` by the given factors.

#### Parameters

`factor_x`

  Type: `float`

  Scaling factor on the X axis.

`factor_y`

  Type: `float`

  Scaling factor on the Y axis.

`factor_z`

  Type: `float`

  Scaling factor on the Z axis.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.